# computeFaceDescriptor | @vladmandic/face-api - v1.7.8
Documentation for @vladmandic/face-api - v1.7.8

# Function computeFaceDescriptor

- computeFaceDescriptor(input: any): Promise<Float32Array | Float32Array[]>

- Computes a 128 entry vector (face descriptor / face embeddings) from the face shown in an image, which uniquely represents the features of that persons face. The computed face descriptor can be used to measure the similarity between faces, by computing the euclidean distance of two face descriptors.

  ### Returns

  Face descriptor with 128 entries or array thereof in case of batch input.

  #### Parameters

  - ##### input: any

  #### Returns Promise<Float32Array | Float32Array[]>

  - Defined in globalApi/nets.ts:85